> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finventi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate payment

> Initiates a new SEPA payment (SCT or SCT_INST). Returns 202 Accepted when the request is queued for processing.



## OpenAPI

````yaml post /v1/payments
openapi: 3.0.3
info:
  title: Ledger Client API
  version: 1.0.0
  description: API for ledger operations - parties, accounts, transactions
servers: []
security: []
tags:
  - name: Account Statements
    description: Retrieve account transaction history
  - name: Accounts
    description: Account management operations
  - name: Open Banking - Accounts
    description: PSD2 Account Information Service (AIS) - Account endpoints
  - name: Open Banking - Funds Confirmation
    description: PSD2 Confirmation of Funds Service (PIIS)
  - name: Open Banking - Payments
    description: PSD2 Payment Initiation Service (PIS)
  - name: Open Banking - Transactions
    description: PSD2 Account Information Service (AIS) - Transaction endpoints
  - name: Parties
    description: Party management operations
  - name: Payments
    description: Payment operations
  - name: Transaction Postings
    description: Retrieve transaction postings
  - name: Transactions
    description: Transaction execution operations
paths:
  /v1/payments:
    post:
      tags:
        - Payments
      summary: Initiate payment
      description: Initiates a new payment
      parameters:
        - description: >-
            Client-provided idempotency key. UUID v4 suggested, max 255
            characters.
          example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          name: Idempotency-Key
          in: header
          schema:
            maxLength: 255
            pattern: \S
            type: string
      requestBody:
        description: Payment creation request
        content:
          application/json:
            examples:
              SCT:
                summary: SEPA Credit Transfer
                value:
                  source: CLIENT
                  paymentScheme: SCT
                  debtor:
                    accountId: 019bdb2a-960f-789d-8955-21720e6cdeef
                  creditor:
                    name: Jane Smith
                    account:
                      iban: DE89370400440532013000
                    agent: DEUTDEFFXXX
                  instructedAmount:
                    amount: 10000
                    currency: EUR
                  endToEndId: E2E-123456
                  remittanceInformation: 'Invoice payment #12345'
              SCT_INST:
                summary: SEPA Instant Credit Transfer
                value:
                  source: CLIENT
                  paymentScheme: SCT_INST
                  debtor:
                    accountId: 019bdb2a-960f-789d-8955-21720e6cdeef
                  creditor:
                    name: Jane Smith
                    account:
                      iban: DE89370400440532013000
                    agent: DEUTDEFFXXX
                  instructedAmount:
                    amount: 5000
                    currency: EUR
                  endToEndId: E2E-INST-789
                  remittanceInformation: Urgent payment
              INTERNAL:
                summary: Internal transfer between accounts of the same bank
                value:
                  source: CLIENT
                  paymentScheme: INTERNAL
                  debtor:
                    accountId: 019bdb2a-960f-789d-8955-21720e6cdeef
                  creditor:
                    name: John Doe
                    account:
                      iban: LT647044001231465456
                  instructedAmount:
                    amount: 25000
                    currency: EUR
                  remittanceInformation: Internal transfer
              SWIFT:
                summary: SWIFT cross-border payment
                value:
                  source: CLIENT
                  paymentScheme: SWIFT
                  debtor:
                    accountId: 019bdb2a-960f-789d-8955-21720e6cdeef
                  creditor:
                    name: Acme Corp
                    account:
                      iban: GB29NWBK60161331926819
                    agent: NWBKGB2LXXX
                    address:
                      country: GB
                      townName: London
                      streetName: Threadneedle St
                      buildingNumber: '1'
                      postCode: EC2R 8AH
                  instructedAmount:
                    amount: 100000
                    currency: USD
                  endToEndId: E2E-SWIFT-001
                  remittanceInformation: 'Invoice payment #67890'
                  priority: NORM
                  settlement:
                    date: '2026-04-30T00:00:00.000Z'
                    method: INDA
                    priority: NORM
            schema:
              $ref: '#/components/schemas/CreatePaymentRequest'
        required: true
      responses:
        '202':
          description: Payment initiation accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AcceptedResponse'
        '400':
          description: >-
            Validation failed. See [Error Handling](/ledger/error-handling) for
            the response shape.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/ValidationProblem'
                  - $ref: '#/components/schemas/Problem'
        '500':
          description: Internal server error
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
components:
  schemas:
    CreatePaymentRequest:
      description: Request to create a payment transaction
      required:
        - remittanceInformation
      type: object
      properties:
        paymentScheme:
          description: Payment scheme
          type: string
          allOf:
            - $ref: '#/components/schemas/PaymentScheme'
          example: SCT
        debtor:
          description: >-
            Debtor (payer) details. Exactly one of accountId or iban must be
            provided.
          type: object
          allOf:
            - $ref: '#/components/schemas/Debtor'
        creditor:
          description: Creditor (payee) information
          type: object
          allOf:
            - $ref: '#/components/schemas/Creditor'
        instructedAmount:
          description: Payment amount
          type: object
          allOf:
            - $ref: '#/components/schemas/InstructedAmount'
        endToEndId:
          description: End-to-end identifier
          type: string
          example: E2E-123456
          nullable: true
        remittanceInformation:
          description: Payment description/reference
          pattern: \S
          type: string
          example: 'Invoice payment #12345'
        source:
          description: Business source that initiated the payment
          default: CLIENT
          enum:
            - CLIENT
            - PLAIS
          type: string
          allOf:
            - $ref: '#/components/schemas/Source'
          example: CLIENT
        priority:
          description: Payment priority. SWIFT-only. Defaults to NORM.
          type: string
          allOf:
            - $ref: '#/components/schemas/Priority'
          example: NORM
          nullable: true
        settlement:
          description: Settlement details. Required for SWIFT.
          type: object
          allOf:
            - $ref: '#/components/schemas/Settlement'
          nullable: true
        paymentSource:
          description: Customer ledger account source for payment funds
          default: CURRENT
          enum:
            - CURRENT
            - HOLDING
          type: string
          allOf:
            - $ref: '#/components/schemas/PaymentSource'
          example: CURRENT
    AcceptedResponse:
      description: Response for accepted asynchronous requests
      type: object
      properties:
        correlationId:
          description: Correlation identifier for tracking the request through events
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
    ValidationProblem:
      description: >-
        RFC 9457 problem details with a `violations` array describing each
        failed constraint.
      required:
        - status
        - title
        - instance
        - violations
      type: object
      properties:
        status:
          format: int32
          description: HTTP status code
          type: integer
          example: 400
        title:
          description: Short, human-readable summary of the problem type
          type: string
        instance:
          description: URI reference identifying this occurrence of the problem
          type: string
        violations:
          description: List of validation constraint violations
          type: array
          items:
            $ref: '#/components/schemas/Violation'
    Problem:
      description: >-
        RFC 9457 problem details. See [Error Handling](/ledger/error-handling)
        for the response shape.
      required:
        - status
        - title
        - instance
      type: object
      properties:
        status:
          format: int32
          description: HTTP status code
          type: integer
          example: 500
        title:
          description: Short, human-readable summary of the problem type
          type: string
        instance:
          description: URI reference identifying this occurrence of the problem
          type: string
        detail:
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem
          type: string
          nullable: true
    PaymentScheme:
      description: Payment scheme type
      enum:
        - SCT
        - SCT_INST
        - INTERNAL
        - SWIFT
      type: string
    Debtor:
      type: object
      properties:
        accountId:
          format: uuid
          description: Debtor's account ID
          pattern: >-
            [a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}
          type: string
          example: 019bdb2a-960f-789d-8955-21720e6cdeef
          nullable: true
        iban:
          description: Debtor's IBAN
          pattern: ^[A-Z]{2}[0-9]{2}[A-Za-z0-9]{6,30}$
          type: string
          example: LT647044001231465456
          nullable: true
    Creditor:
      description: Creditor (payee) details
      required:
        - name
      type: object
      properties:
        name:
          description: Creditor name
          pattern: \S
          type: string
          example: Jane Smith
        account:
          description: Creditor account details
          type: object
          allOf:
            - $ref: '#/components/schemas/CreditorAccount'
        agent:
          description: Creditor's bank BIC
          type: string
          example: REVOLT21
          nullable: true
        address:
          description: Creditor address. Required for SWIFT.
          type: object
          allOf:
            - $ref: '#/components/schemas/Address1'
          nullable: true
    InstructedAmount:
      description: Payment amount details
      required:
        - currency
      type: object
      properties:
        amount:
          description: Amount in minor units (cents)
          minimum: 0
          exclusiveMinimum: true
          type: integer
          example: 10000
        currency:
          description: Currency code (ISO 4217)
          pattern: \S
          type: string
          example: EUR
    Source:
      description: Business source that initiated the payment
      enum:
        - CLIENT
        - PLAIS
      type: string
    Priority:
      description: Top-level payment priority (SWIFT only)
      enum:
        - NORM
        - HIGH
      type: string
    Settlement:
      description: Settlement details (SWIFT only)
      type: object
      properties:
        date:
          format: date
          description: Settlement date
          type: string
          example: '2026-04-30T00:00:00.000Z'
        method:
          description: Settlement method. Defaults to INDA.
          type: string
          allOf:
            - $ref: '#/components/schemas/SettlementMethod'
          example: INDA
        priority:
          description: Settlement priority. Defaults to NORM.
          type: string
          allOf:
            - $ref: '#/components/schemas/SettlementPriority'
          example: NORM
    PaymentSource:
      description: Customer ledger account source for payment funds
      enum:
        - CURRENT
        - HOLDING
      type: string
    Violation:
      description: Single validation constraint violation
      required:
        - field
        - in
        - message
      type: object
      properties:
        field:
          description: Name of the field that failed validation
          type: string
        in:
          description: Part of the HTTP request where the violation occurred
          enum:
            - query
            - path
            - header
            - form
            - body
          type: string
        message:
          description: Human-readable description of the violation
          type: string
    CreditorAccount:
      description: Creditor account information
      required:
        - iban
      type: object
      properties:
        iban:
          description: Creditor IBAN
          pattern: ^[A-Z]{2}[0-9]{2}[A-Za-z0-9]{6,30}$
          type: string
          example: DE89370400440532013000
    Address1:
      description: Address details. SWIFT requires country and townName.
      type: object
      properties:
        country:
          description: ISO 3166-1 alpha-2 country code
          type: string
          example: US
          nullable: true
        townName:
          description: Town name
          type: string
          example: New York
          nullable: true
        streetName:
          description: Street name
          type: string
          example: Wall St
          nullable: true
        buildingNumber:
          description: Building number
          type: string
          example: '11'
          nullable: true
        postCode:
          description: Postal code
          type: string
          example: '10005'
          nullable: true
    SettlementMethod:
      description: Settlement method (SWIFT only)
      enum:
        - INDA
        - INGA
      type: string
    SettlementPriority:
      description: Settlement priority (SWIFT only)
      enum:
        - URGT
        - HIGH
        - NORM
      type: string

````